# Summary

* [Introduction](./intro.md)
* [Getting Started](./getting-started.md)
* [Concepts](./concepts/intro.md)
    * [State](./concepts/state.md)
    * [Component](./concepts/component.md)
    * [Entity](./concepts/entity.md)
    * [Resource](./concepts/resource.md)
    * [World](./concepts/world.md)
    * [System](./concepts/system.md)
    * [Dispatcher](./concepts/dispatcher.md)
    * [Event Channel](./concepts/event-channel.md)
* [Pong Tutorial](pong-tutorial.md)
    * [Opening (and closing!) a window](./pong-tutorial/pong-tutorial-01.md)
    * [Drawing the paddles](./pong-tutorial/pong-tutorial-02.md)
    * [Moving the paddles](./pong-tutorial/pong-tutorial-03.md)
    * [Call for contribution](./pong-tutorial/contribution.md)
* [Animation](./animation.md)
    * [Interpolation](./animation/interpolation.md)
    * [Channel](./animation/channel.md)
    * [Sampler](./animation/sampler.md)
    * [Definition](./animation/definition.md)
* [Custom `GameData`](./game-data.md)
* [Sprites](./sprites.md)
    * [Set Up The Render Pass](./sprites/set_up_the_render_pass.md)
    * [Load The `Texture`](./sprites/load_the_texture.md)
    * [Define The `SpriteSheet`](./sprites/define_the_sprite_sheet.md)
    * [`SpriteRender` Component](./sprites/sprite_render_component.md)
    * [Orthographic Camera](./sprites/orthographic_camera.md)
* [Prefabs](./prefab.md)
* [Glossary](./glossary.md)
* [Appendix A: Config Files](./appendices/a_config_files.md)
    * [Adding an Arena Config](./appendices/a_config_files/arena_config.md)
    * [Adding a Ball Config](./appendices/a_config_files/ball_config.md)
    * [Adding Paddle Configs](./appendices/a_config_files/paddle_configs.md)
