# Concepts behind Amethyst

Amethyst uses quite a few concepts that you might not be familiar with.
This section of the book explains what they are, how they work and
how they relate to each other.

If you are a practical person and want to quickly get into the code, you can skip to the [pong tutorial][pt]
section of the book, which is focused on practice. 
That said, reading this section is suggested, as it can be hard to understand the examples without knowing the theory presented here.

If you don't understand how something works in amethyst, knowing the concepts presented here will help you understand how some implementations are made.

[pt]: ../pong-tutorial.html

## Chapters
* [State][st]
* [Component][comp]
* [Entity][ent]
* [Resource][res]
* [World][world]
* [System][sys]
* [Dispatcher][dispatch]
* [EventChannel][evc]

[st]: ./state.html
[comp]: ./component.html
[ent]: ./entity.html
[res]: ./resource.html
[world]: ./world.html
[sys]: ./system.html
[dispatch]: ./dispatcher.html
[evc]: ./event-channel.html
